from django.conf.urls import patterns, include, url
from django.contrib.auth.decorators import login_required

from passerelle.urls_utils import decorated_includes, required, app_enabled

from views import *


public_urlpatterns = patterns('',
    url(r'^(?P<slug>[\w,-]+)/$', SigDetailView.as_view(), name='montpellier-sig-view'),

    url(r'^(?P<slug>[\w,-]+)/communes$', CommunesView.as_view(), name='montpellier-sig-communes'),
    url(r'^(?P<slug>[\w,-]+)/voies/(?P<insee>\d+)$', VoiesView.as_view(), name='montpellier-sig-voies'),
    url(r'^(?P<slug>[\w,-]+)/voies/(?P<insee>\d+)/(?P<nom_rue>[\w ]+)/numero$', VoiesCommuneView.as_view(), name='montpellier-voies-commune'),
    url(r'^(?P<slug>[\w,-]+)/voiecommune/(?P<nom_rue>[\w ]+)$', VoieCommuneView.as_view(), name='montpellier-sig-voiecommune'),
    url(r'^(?P<slug>[\w,-]+)/reverse$', AdresseView.as_view(), name='montpellier-sig-adresse')
)

management_urlpatterns = patterns('',
    url(r'^add$', SigCreateView.as_view(), name='montpellier-sig-add'),
    url(r'^(?P<slug>[\w,-]+)/edit$', SigUpdateView.as_view(), name='montpellier-sig-edit'),
    url(r'^(?P<slug>[\w,-]+)/delete$', SigDeleteView.as_view(), name='montpellier-sig-delete'),
)

urlpatterns = required(
    app_enabled('passerelle_montpellier_sig'),
    patterns('',
        url(r'^montpellier-sig/', include(public_urlpatterns)),
        url(r'^manage/montpellier-sig/',
            decorated_includes(login_required, include(management_urlpatterns))),
    )
)
